Name:           licensecheck
Version:        3.0.30
Release:        1%{?dist}
Summary:        Simple license checker for source files

License:        GPLv3+
BuildArch:      noarch
URL:            http://search.cpan.org/dist/App-Licensecheck/
Source0:        http://search.cpan.org/CPAN/authors/id/J/JO/JONASS/App-Licensecheck-v%{version}.tar.gz

BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(autodie)
BuildRequires:  perl(experimental)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Getopt::Long::Descriptive)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Path::Iterator::Rule)
BuildRequires:  perl(Pod::Constants)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Software::License)
BuildRequires:  perl(Sort::Key::Multi)
BuildRequires:  perl(strictures)
BuildRequires:  perl(String::Copyright)
BuildRequires:  perl(String::Escape)
BuildRequires:  perl(Test::Command)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::Roo)
BuildRequires:  perl(Test::Script)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Type::Utils)
BuildRequires:  perl(Types::Common::Numeric)
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(UNIVERSAL::require)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# The licensecheck script used to be provided by devscripts-minimal up to version 2.16.6
Conflicts:      devscripts-minimal < 2.16.6


%description
Licensecheck attempts to determine the license that applies to each file passed
to it, by searching the start of the file for text belonging to various
licenses.


%prep
%autosetup -n App-Licensecheck-v%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install DESTDIR=%{buildroot}
# Remove .packlist
rm -f %{buildroot}%{perl_vendorarch}/auto/App/Licensecheck/.packlist
# Install bash-completions file
install -Dpm 0644 scripts/licensecheck.bash_completion %{buildroot}%{_datadir}/bash-completion/completions/licensecheck


%check
make test


%files
%doc Changes README
%license LICENSE
%{_bindir}/licensecheck
%{_datadir}/bash-completion/
%{perl_vendorlib}/*
%{_mandir}/man1/licensecheck.1*
%{_mandir}/man3/App::Licensecheck.*
%{_mandir}/man3/Regexp::Pattern::License*


%changelog
* Thu Jul 06 2017 Sandro Mani <manisandro@gmail.com> - 3.0.30-1
- Update to 3.0.30

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 3.0.29-3
- Perl 5.26 rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 24 2017 Sandro Mani <manisandro@gmail.com> - 3.0.29-1
- Update to 3.0.29

* Sun Nov 27 2016 Sandro Mani <manisandro@gmail.com> - 3.0.28-1
- Update to 3.0.28

* Thu Nov 24 2016 Sandro Mani <manisandro@gmail.com> - 3.0.27-1
- Update to 3.0.27

* Wed Sep 28 2016 Sandro Mani <manisandro@gmail.com> - 3.0.26-1
- Update to 3.0.26

* Thu Sep 22 2016 Sandro Mani <manisandro@gmail.com> - 3.0.25-1
- Update to 3.0.25

* Fri Sep 09 2016 Sandro Mani <manisandro@gmail.com> - 3.0.24-1
- Update to 3.0.24

* Fri Aug 19 2016 Sandro Mani <manisandro@gmail.com> - 3.0.19-1
- Update to 3.0.19

* Mon Aug 15 2016 Sandro Mani <manisandro@gmail.com> - 3.0.17-1
- Update to 3.0.17

* Fri Jul 22 2016 Sandro Mani <manisandro@gmail.com> - 3.0.7-1
- Update to 3.0.7
- BR: perl-generators
- Use CPAN URL

* Sun Jul 17 2016 Sandro Mani <manisandro@gmail.com> - 3.0.2-1
- Update to 3.0.2

* Mon Jul 04 2016 Sandro Mani <manisandro@gmail.com> - 3.0.1-1
- Initial package
